#ifndef __CLERIC_H__
#define __CLERIC_H__

#include "fighter.h"

class cleric : public fighter {
    private:
        int original_speed;
        int mana;
    public:
        cleric(string, int, int, int, int);

        string get_type() { return "A"; };

        int getDamage();
        void reset();
        bool useAbility();
        void regenerate();

        int get_original_speed();
        int get_mana();
};

#endif
